/*
** Copyright (C) 1999 Open Source Telecom Corporation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#define	MAX_LINES 4
#define	MAX_RECORD	30

#include <pthread.h>
#include <signal.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <syslog.h>
#include "pika.h"

typedef	struct
{
	TDeviceHandle hBoard;
	char	name[32];
	int	id;
	PK_WORD	type;
	int	dsp;
}	PKCARD;

typedef	struct
{
	TPortHandle hPort;
	TResourceHandle hCTI;
	TResourceHandle hDSP;
	TResourceHandle hTIMER;
	PK_BOOL	connected;
	PK_BOOL recording;
	char name[32];
	char recname[65];
	TBufferHeader rbuf;
	TBufferHeader pbuf;
	char rdata[MAX_RECORD * 8000];
	int fd;
	int pid;
}	VPPORT;

extern	PKCARD	pkcard;
extern	VPPORT	vpports[MAX_LINES];
extern	int	vplines;
extern	char	playbuf[MAX_RECORD * 8000];
extern	int	playsize;
extern	int	bufsize;

typedef void PK_CALLBACK (*pkevent_t)(PK_U32 usr, PK_U32 ev, PK_U32 p1, PK_U32 p2);

void stop(int signo);	
void PK_CALLBACK portEvents(VPPORT *port, PK_U32 event, PK_U32 p1, PK_U32 p2);


